For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
      • GETGet KYC Reliance Quote
      • GETGet KYC Reliance Status
Dashboard
LogoLogo
TRANSAK WHITELABEL APIKYC Reliance

Get KYC Reliance Status

||View as Markdown|
GET
https://api-gateway-stg.transak.com/api/v2/kyc/share-token-status
GET
/api/v2/kyc/share-token-status
$curl -G https://api-gateway-stg.transak.com/api/v2/kyc/share-token-status \
> -d quoteId= \
> -d kycShareTokenProvider= \
> -d kycShareToken=
1{
2 "data": {
3 "shareTokenStatus": "IMPORTED"
4 }
5}
The **Get KYC Reliance Status** is an **authenticated API call** that validates the KYC Shared token from SumSub by providing the appropriate status. This API is mandatory in the KYC Reliance process to sync the KYC details from the Partner system to Transak. Below is the status that explains the various KYC Reliance statuses in detail. ### KYC Reliance Status Types | **State** | **Description** | | --- | --- | | **IMPORTED** | Triggered when **KYC Reliance data** is successfully fetched, but not successfully processed from Transak. Use **Get KYC Requirement** API to process or find the missing details. | | **DONE** | Final state indicating the **KYC Reliance process is completed** successfully (WHEN **Get KYC Requirement** API returns APPROVED) | | **FAILED** | Indicates the **KYC Reliance process has failed** due to validation or processing errors. The partner has to redo the KYC token generation process by providing the required details. <br> <br>Note: Use **Get KYC Requirement** to find the missing details. | | **INITIALIZED** | Indicates that the Transak system received the KYC share token. This is the initial status field that can be triggered only when the KYC share token is passed in the **Get KYC Reliance Quote** API. <br> <br>Note: This status will barely be noticed as it is an interim state before **IMPORTED**. | | **VALIDATED** | This intermediate status between **IMPORTED** and **DONE** means that the Transak system validates the fields. | > Note: In an ideal scenario, only **IMPORTED**, **DONE** and **FAILED** are primarily used.
Was this page helpful?
Previous

Get KYC Reliance Quote

Next

Get FCA Requirements

Built with

The Get KYC Reliance Status is an authenticated API call that validates the KYC Shared token from SumSub by providing the appropriate status. This API is mandatory in the KYC Reliance process to sync the KYC details from the Partner system to Transak. Below is the status that explains the various KYC Reliance statuses in detail.

KYC Reliance Status Types

StateDescription
IMPORTEDTriggered when KYC Reliance data is successfully fetched, but not successfully processed from Transak. Use Get KYC Requirement API to process or find the missing details.
DONEFinal state indicating the KYC Reliance process is completed successfully (WHEN Get KYC Requirement API returns APPROVED)
FAILEDIndicates the KYC Reliance process has failed due to validation or processing errors. The partner has to redo the KYC token generation process by providing the required details.

Note: Use Get KYC Requirement to find the missing details.
INITIALIZEDIndicates that the Transak system received the KYC share token. This is the initial status field that can be triggered only when the KYC share token is passed in the Get KYC Reliance Quote API.

Note: This status will barely be noticed as it is an interim state before IMPORTED.
VALIDATEDThis intermediate status between IMPORTED and DONE means that the Transak system validates the fields.

Note:
In an ideal scenario, only IMPORTED, DONE and FAILED are primarily used.

Headers

authorizationstringOptional

Authorization token is the accessToken received from the API - api/v2/auth/verify

Note: This is not applicable for Auth Reliance Flows

x-user-identifierstringOptional

Your authenticated user Email Id address.

Note: This is applicable only for Auth Reliance Flows

x-access-tokenstringOptional

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Note: This is applicable only for Auth Reliance Flows

Query parameters

quoteIdstringRequired
Quote ID received from the Get KYC Reliance Quote API.
kycShareTokenProviderstringRequired

KYC provider used to generate the share token (for example, SUMSUB).

kycShareTokenstringRequired
KYC share token generated by the selected provider.

Response

200 - Successfully Imported

dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error